services:
    d2_celticfreight_service_definition_manager:
        class:          D2\CelticFreightBundle\DependencyInjection\Services\ServiceDefinitionManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_celticfreight_partner_file_manager:
        class:          D2\CelticFreightBundle\DependencyInjection\Services\PartnerFileManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_celticfreight_waybill_manager:
        class:          D2\CelticFreightBundle\DependencyInjection\Services\WaybillManager
        arguments:      [@service_container, @doctrine.orm.entity_manager, @d2_celticfreight_service_definition_manager, @d2_calc_manager]

    d2_celticfreight_bundle.twig.celticfreight_extension:
        class:          D2\CelticFreightBundle\Twig\CelticFreightTwigExtension
        arguments:      [@doctrine, @service_container, @d2_celticfreight_partner_file_manager, @d2_celticfreight_service_definition_manager]
        tags:
            - { name: twig.extension }

    # With Selected Extensions
    d2_celticfreight_bundle.waybill_with_selected.extension:
        class:          D2\CelticFreightBundle\DependencyInjection\Services\WaybillsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: celticfreight_list }
            - { name: d2.with_selected, alias: celtic_freight_waybill }
